SDL_ClaimWindowForGPUDevice(3)

NAME
SDL_ClaimWindowForGPUDevice - Claims a window, creating a swapchain structure for it.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_ClaimWindowForGPUDevice(
    SDL_GPUDevice *device,
    SDL_Window *window);

DESCRIPTION
This must be called before SDL_AcquireGPUSwapchainTexture is called using the window. You should only call this function from the thread that created the window.

The swapchain will be created with SDL_GPU_SWAPCHAINCOMPOSITION_SDR and SDL_GPU_PRESENTMODE_VSYNC. If you want to have different swapchain parameters, you must call SDL_SetGPUSwapchainParameters after claiming the window.

FUNCTION PARAMETERS

device
    a GPU context.

window
    an SDL_Window.

RETURN VALUE
Returns true on success, or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called from the thread that created the window.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_WaitAndAcquireGPUSwapchainTexture(3), SDL_ReleaseWindowFromGPUDevice(3), SDL_WindowSupportsGPUPresentMode(3), SDL_WindowSupportsGPUSwapchainComposition(3)